Skip to main content
PATCH
/
v5
/
dataset-items
/
{dataset_item_id}
Update Dataset Item
curl --request PATCH \
  --url https://api.egp.scale.com/v5/dataset-items/{dataset_item_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "data": {},
  "files": {}
}
'
import requests

url = "https://api.egp.scale.com/v5/dataset-items/{dataset_item_id}"

payload = {
"data": {},
"files": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {}, files: {}})
};

fetch('https://api.egp.scale.com/v5/dataset-items/{dataset_item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "created_by": {
    "id": "<string>",
    "object": "identity"
  },
  "data": {},
  "content_hash": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "object": "dataset.item",
  "dataset_id": "<string>",
  "files": {},
  "archived_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

dataset_item_id
string
required

Body

application/json
data
Data · object
required

Updated dataset item data

files
Files · object

Files to be associated to the dataset

Response

Successful Response

id
string
required
created_by
Identity · object
required

The identity that created the entity.

data
Data · object
required
content_hash
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
object
string
default:dataset.item
Allowed value: "dataset.item"
dataset_id
string
files
Files · object
archived_at
string<date-time>